Remove Deployment Skill
DELETE
/api/v1/deployments/{name}/skills/{skill}
const url = 'https://aura-api-eu.strangeworks.com/api/v1/deployments/example/skills/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://aura-api-eu.strangeworks.com/api/v1/deployments/example/skills/example \ --header 'Authorization: Bearer <token>'Remove one customer skill and all its files. Idempotent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
Name
string
skill
required
Skill
string
Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}